/* 
   
   Geeks Artificial Neural Network (G.A.N.N) - Error Statistics
  
   Copyright GNU/GPL 2006 George Delaportas (qtgeo)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

*/



//Xtra Static Variable
static float Buffer;		//A Buffer



//Geeks Statistics (Function)
float GStat(float FirstData[],float LastData[])

{

    //Variables
    register int i,j;		//Counters
    register int C;		//Distribution Values From GIOD
    int S;			//Outputs Number
    int Y;			//A Tracer
    float q;			//A Float Counter
    float OK,Error;		//OK And Error Values (%)
    FILE *GIOD;			//I/O Distribution
    
    //Reset Counter
    q=0.0;
    
    //Reset Tracer
    Y=0;
    
    //Read GTOD
    GIOD=fopen("GIOD","r");
    
    //Read I/O
    fscanf(GIOD,"%i",S);
    
    //Find Differences Between I/O Distribution And User/G.A.N.N I/O
    while (C!=EOF)
    
    {
    
        C=fgetc(GIOD);
        
        if (C=='+')
            i++;
        
        if (C=='b')
        
        {
        
            for (j=0;j=1;j++)
                ;
        
        }
        
        if (C!=LastData[S])
        
        {
            
            //Enable Tracer
            Y=1;
            
            //Increase q
            q++;
        
        }
    
    }
    
    //Statistics (%)
    if (Y==0)
    
    {
    
        OK=100;
        
        Error=0;
    
    }
    
    else
    
    {    
    
        //OK=((0-q)/0)*100;
        //Error=(q/0)*100;
        
        //Print Buffer
        if (Buffer<OK)
    
        {
        
            Buffer=OK;
            
            printf("Learned...%.1f%\n\n",Buffer);
        
        }
    
    }
    
    printf("Correct:%.1f%\n",OK);
    printf("Error:%.1f%\n\n",Error);
    
    return Error;

}

/* ------------------------------------------------------------------------ */
